import { CommandBase, PostCommandContext } from '../base/CommandBase';
import { Doc } from '../../view/Doc';
import { CommandPayloadMap } from '../types';
export declare class Set2DTable extends CommandBase<'set2DTable'> {
    constructor(doc: Doc, payload?: CommandPayloadMap['set2DTable']);
    protected execute(): Promise<PostCommandContext>;
}
